version: '3'

services:
  piveau-search:
    image: registry.gitlab.com/piveau/hub/piveau-hub-search:latest
    logging:
      options:
        max-size: "50m"
    ports:
      - 8081:8080
      - 8082:8081
    depends_on:
      - elasticsearch
    environment:
      - PIVEAU_HUB_SEARCH_API_KEY=myapikey
      - PIVEAU_HUB_SEARCH_ES_CONFIG={"host":"elasticsearch","port":9200}
      - PIVEAU_HUB_SEARCH_GAZETTEER_CONFIG={"url":"http://doesnotmatter.eu"}
      - JAVA_OPTS=-Xms300m -Xmx1g

  elasticsearch:
    image: docker.elastic.co/elasticsearch/elasticsearch:7.17.2
    logging:
      options:
        max-size: "50m"
    volumes:
      - elasticsearch:/usr/share/elasticsearch/data
    environment:
      - bootstrap.memory_lock=true
      - discovery.type=single-node
      - xpack.security.enabled=false
      - ES_JAVA_OPTS=-Xms2G -Xmx4G
    ulimits:
      memlock:
        soft: -1
        hard: -1
    ports:
      - 9200:9200
      - 9300:9300

  virtuoso:
    image: openlink/virtuoso-opensource-7:7.2.12
    logging:
      options:
        max-size: "50m"
    volumes:
      - virtuoso_db:/opt/virtuoso-opensource/var/lib/virtuoso/db
    ports:
      - 8890:8890
      - 1111:1111
    environment:
      - DBA_PASSWORD=dba


  shadow-virtuoso:
    image: openlink/virtuoso-opensource-7:7.2.8
    logging:
      options:
        max-size: "50m"
    volumes:
      - shadow_virtuoso_db:/opt/virtuoso-opensource/var/lib/virtuoso/db
    ports:
      - 9890:8890
      - 9111:1111
    environment:
      - DBA_PASSWORD=dba

volumes:
  virtuoso_db:
  shadow_virtuoso_db:
  elasticsearch:


